Fency.ai
Memory uploads

Create memory upload

POST
/v1/memories/{memoryId}/uploads

Create a presigned upload for a file memory created with Create file memory. Upload the file to the returned URL.

Authorization

bearerAuth
AuthorizationBearer <token>

Provide your secret key as Authorization: Bearer sk_....

In: header

Path Parameters

memoryId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for creating a presigned upload for a file memory.

Response Body

application/json

curl -X POST "https://example.com/v1/memories/string/uploads" \  -H "Content-Type: application/json" \  -d '{    "fileName": "document.pdf",    "fileSize": 1024,    "mimeType": "application/pdf"  }'
{  "awsS3PostRequest": {    "amzDate": "20231001T000000Z",    "amzSignature": "example-signature",    "amzAlgorithm": "AWS4-HMAC",    "amzCredential": "example-credential",    "policy": "example-policy",    "key": "example-key",    "uploadUrl": "https://example-bucket.s3.amazonaws.com",    "sessionToken": "example-session-token"  }}